picard.analysis

## Interface CollectMultipleMetrics.ProgramInterface

- All Known Implementing Classes:
    CollectMultipleMetrics.Program
  Enclosing class:
    CollectMultipleMetrics

      public static interface CollectMultipleMetrics.ProgramInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SinglePassSamProgram` | `makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals)`
    `default SinglePassSamProgram` | `makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals, boolean includeUnpaired)` By default, this method calls the `makeInstance(String, String, File, File, Set, File, File)` method without 'includeUnpaired' parameter.
    `boolean` | `needsReferenceSequence()`
    `boolean` | `supportsMetricAccumulationLevel()`

- - ### Method Detail

    - #### makeInstance

          default SinglePassSamProgram makeInstance(String outbase,
                                                    String outext,
                                                    File input,
                                                    File reference,
                                                    Set<MetricAccumulationLevel> metricAccumulationLevel,
                                                    File dbSnp,
                                                    File intervals,
                                                    boolean includeUnpaired)

      By default, this method calls the `makeInstance(String, String, File, File, Set, File, File)` method without 'includeUnpaired' parameter.

    - #### makeInstance

          SinglePassSamProgram makeInstance(String outbase,
                                            String outext,
                                            File input,
                                            File reference,
                                            Set<MetricAccumulationLevel> metricAccumulationLevel,
                                            File dbSnp,
                                            File intervals)

    - #### needsReferenceSequence

          boolean needsReferenceSequence()

    - #### supportsMetricAccumulationLevel

          boolean supportsMetricAccumulationLevel()